Subject: 26.1; XBM images are sometimes not displayed correctly

From: Markus Triska <[email-masked]>
Date: Sun, 23 Jun 2019 09:15:30 +0200

Please start Emacs with "$ emacs -Q", and insert the form:

    (let* ((width 100)
           (height 100)
           (data (make-bool-vector (* width height) t)))
      (insert "\n")
      (insert-image `(image :type xbm
                            :data ,data
                            :width ,width
                            :height ,height) "t")
      (insert "\n"))

Please move point to the end of the form, and evaluate it with C-x C-e.

This displays a 100x100 XBM image. However, the bottom of the image is
not displayed as intended: I see a mix of black and white pixels at the
bottom of the image, whereas I intend it to be filled with black pixels.

For comparison, it works correctly when I change both width and height
from 100 to 200, or both to 400, and also for several other values.

In GNU Emacs 26.1 (build 1, x86_64-apple-darwin15.3.0, X toolkit, Xaw scroll bars)
 of 2018-09-22
Windowing system distributor 'The X.Org Foundation', version 11.0.11502000

Configured features:
XPM JPEG TIFF GIF PNG GSETTINGS NOTIFY ACL GNUTLS LIBXML2 FREETYPE XFT
ZLIB TOOLKIT_SCROLL_BARS LUCID X11 MODULES THREADS LCMS2